Subject: Re: [PATCH 2/2] submodule::module_clone(): silence die() message from module_name()

From: Jens Lehmann <[email-masked]>
Date: Tue, 11 Oct 2011 19:38:09 +0200

Am 11.10.2011 10:44, schrieb Tay Ray Chuan:
> On Tue, Oct 11, 2011 at 3:34 AM, Jens Lehmann <[email-masked]> wrote:
>> When cmd_foreach() passes an empty "name" variable to the
>> spawned command that might still work (and even make sense), but using the
>> empty name in cmd_sync() to access the config is looking like an error to
>> me. It might make sense to add an "|| exit" at least to the callsite in
>> cmd_sync(). Or am I missing something here?
> 
> Cc-ed David, who authored cmd_sync().
> 
> David, what do you think of Jens' analysis?
> 
> In the meantime, I'll probably reword the second paragraph to say that
> future work will be needed to analyze non- || exit callsites.

Yeah, me too thinks the missing "|| exit" should be subject of another
patch.